digiKam Developer Documentation: Digikam::ThumbnailLoadingTask Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::ThumbnailLoadingTask Class Reference
Inheritance diagram for Digikam::ThumbnailLoadingTask:

## Public Member Functions
| ThumbnailLoadingTask (LoadSaveThread *const thread, const LoadingDescription &description)
void | execute () override
void | postProcess () override
void | setThumbResult (const LoadingDescription &loadingDescription, const QImage &qimage)
Public Member Functions inherited from Digikam::SharedLoadingTask
| SharedLoadingTask (LoadSaveThread *const thread, const LoadingDescription &description, LoadSaveThread::AccessMode mode=LoadSaveThread::AccessModeReadWrite, LoadingTaskStatus loadingTaskStatus=LoadingTaskStatusLoading)
LoadSaveThread::AccessMode | accessMode () const override
void | addListener (LoadingProcessListener *const listener) override
QString | cacheKey () const override
bool | comparePostProcessing (DImg *const img) const
bool | completed () const override
DImg | img () const
LoadSaveNotifier * | loadSaveNotifier () const override
bool | needsPostProcessing () const
void | notifyNewLoadingProcess (LoadingProcess *const process, const LoadingDescription &description) override
void | progressInfo (float progress) override
bool | querySendNotifyEvent () const override
void | removeListener (LoadingProcessListener *const listener) override
void | setResult (const LoadingDescription &loadingDescription, const DImg &img) override
Public Member Functions inherited from Digikam::LoadingTask
| LoadingTask (LoadSaveThread *const thread, const LoadingDescription &description, LoadingTaskStatus loadingTaskStatus=LoadingTaskStatusLoading)
bool | continueQuery () override
QString | filePath () const
const LoadingDescription & | loadingDescription () const
void | setStatus (LoadingTaskStatus status)
LoadingTaskStatus | status () const
TaskType | type () override
Public Member Functions inherited from Digikam::LoadSaveTask
| LoadSaveTask (LoadSaveThread *const thread)
Public Member Functions inherited from Digikam::DImgLoaderObserver
virtual float | granularity ()

## Additional Inherited Members
Public Types inherited from Digikam::LoadingTask
enum | LoadingTaskStatus { LoadingTaskStatusLoading , LoadingTaskStatusPreloading , LoadingTaskStatusStopping }
Public Types inherited from Digikam::LoadSaveTask
enum | TaskType { TaskTypeLoading , TaskTypeSaving }
Protected Attributes inherited from Digikam::SharedLoadingTask
LoadSaveThread::AccessMode | m_accessMode = LoadSaveThread::AccessModeReadWrite
volatile bool | m_completed = false
DImg | m_img
QList< LoadingProcessListener * > | m_listeners
Protected Attributes inherited from Digikam::LoadingTask
LoadingDescription | m_loadingDescription
volatile LoadingTaskStatus | m_loadingTaskStatus = LoadingTaskStatusLoading
Protected Attributes inherited from Digikam::LoadSaveTask
LoadSaveThread * | m_thread = nullptr

## Member Function Documentation

## ◆ execute()

void Digikam::ThumbnailLoadingTask::execute | ( |  | ) |
| overridevirtual

Reimplemented from Digikam::SharedLoadingTask.

## ◆ postProcess()

void Digikam::ThumbnailLoadingTask::postProcess | ( |  | ) |
| overridevirtual

Reimplemented from Digikam::SharedLoadingTask.